2017-03-24 11:02 CET


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000002Branch 0.2.1-FINALExtension Requestpublic2012-11-21 23:38
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000002: Erweiterung ext-network - Universelle Werbenetzwerk-Erweiterung
DescriptionEin Mailtausch lebt von Sponsoren (sei es direkt angemeldete - dazu nutzen Sie bitte ext-sponsor - oder über Werbenetzwerke angeworbene), da auch irgentwo die Kosten (Domain-, Serverkosten und mehr) gedeckt werden müssen.

Beispielsweise sind Sie bei 20 (oder gar mehr) Werbenetzwerken angemeldet. Dass Sie dort nicht überall manuell die Links mit Werbetext und Betreffzeile rauskopieren können, da es zu mühevoll wär, ist vollkommen klar. Genau hier hilft Ihnen diese Erweiterung weiter, indem es die Werbtexte, Klick-URL (die Sie bewerben sollen) und vieles mehr von den einzelnen Werbenetzwerken über das Interface abfragt.

Diese Erweiterung ist allgemeingültig und sollte somit zu möglichst allen Werbenetzwerken kompatibel sein. Sie brauchen also nur Ihre Interface-Zugangsdaten (meistens Ihre User-Id, Seiten-Id und Interface-Passwort) im Adminmenü eintragen und schon können die Kampagnen aus dem Werbenetzwerk zu diesem Mailtausch übertragen werden, Sie machen dazu nur wenige Klicks und brauchen keine Werbetexte oder URLs umständlich kopieren.

Noch in Planung: Einige Werbenetzwerke bietet die Möglichkeit eines V-Checks an. Dabei wird überprüft, ob auch die beworbene URL aufgerufen wurde und wird dann an Ihren Mailtausch bei korrektem Aufruf zurückgemeldet.

Sollte ein Werbenetzwerk (nur welche mit Interface werden unterstützt) fehlen, melden Sie es bitte in diesem Forum. Mein Team und ich binden es dann bald im Mailer-Projekt ein.
Additional InformationDirekt aus der Aufgabenbeschreibung extrahiert.

Idee zum manuellen Abfragen der Netzwerke:
- Über die XML-API eine Liste aller konfigurierten Netzwerke generieren (JOINs gehen!)
- Entweder kann jedes Netzwerk einzelnt abgefragt oder alle ausgewählten zusammen abgefragt werden
- Dies sollte - damit die Ladezeit nicht zu lange ist - per AJAX erfolgen (also über ajax.php, nicht direkt aus JavaScript).
Tagserweiterung, ideenfindung, Sponsorennetzwerk
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0000006assignedQuix0r Erweiterung ext-surfbar: Besuchertausch "Surfbar" 
parent of 0000001assignedQuix0r Eure Ideen für das kommende 0.2.1-FINAL 
parent of 0000239assignedQuix0r Erweiterung ext-network: Umrechnungskurs und an ext-grade anbinden 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0000002

Quix0r (administrator)

Die Erweiterung sollte das Einbinden von neuen Sponsorennetzwerken ("SN") durch den Administrator und durch MXChange.org anbieten (Download einer SN-Liste vom MXChange-Server).

Zudem sollte sie Referal-Links erlauben.

~0000130

Quix0r (administrator)

Dies kann sehr lange dauern. Erstmal >1 Monat eingestellt.

~0000512

Quix0r (administrator)

Mailer Project ist in Script/Funktion doAdminNetworkProcessForm, Zeile 87 mit folgender Meldung abgebrochen: Note: Invalid do config_networks, function doAdminNetworkProcessConfigNetworks does not exist.
Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

   1. template-functions.php:1181, debug_get_printable_backtrace(0)
   2. network_functions.php:87, debug_report_bug(4)
   3. network_functions.php:60, doAdminNetworkProcessForm(0)
   4. what-config_networks.php:50, doNetworkHandleForm(0)
   5. inc-functions.php:129, include(1)
   6. action-network.php:50, loadInclude(1)
   7. inc-functions.php:129, include(1)
   8. admin-inc.php:218, loadInclude(1)
   9. admin.php:384, doAdminAction(0)
  10. inc-functions.php:129, include(1)
  11. inc-functions.php:143, loadInclude(1)
  12. modules.php:137, loadIncludeOnce(1)

Request-URI: /projects/mailer/branches/0.2.1-FINAL/modules.php?module=admin&what=config_networks&do=config_networks
Thank you for finding bugs.

~0000513

Quix0r (administrator)

Mailer Project ist in Script/Funktion doAdminNetworkProcessForm, Zeile 87 mit folgender Meldung abgebrochen: Note: Invalid do handle_api_translation, function doAdminNetworkProcessHandleApiTranslation does not exist.
Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

   1. template-functions.php:1181, debug_get_printable_backtrace(0)
   2. network_functions.php:87, debug_report_bug(4)
   3. network_functions.php:60, doAdminNetworkProcessForm(0)
   4. what-list_network_api_translation.php:56, doNetworkHandleForm(0)
   5. inc-functions.php:129, include(1)
   6. action-network.php:50, loadInclude(1)
   7. inc-functions.php:129, include(1)
   8. admin-inc.php:218, loadInclude(1)
   9. admin.php:384, doAdminAction(0)
  10. inc-functions.php:129, include(1)
  11. inc-functions.php:143, loadInclude(1)
  12. modules.php:137, loadIncludeOnce(1)

Request-URI: /projects/mailer/branches/0.2.1-FINAL/modules.php?module=admin&what=list_network_api_translation&do=handle_api_translation&network=1
Thank you for finding bugs.

~0000589

Quix0r (administrator)

Es sind einige Werbnetzwerke wieder deaktiviert worden, da diese nicht mehr erreichbar waren (oder geparkte Domain bzw. anderer Inhalt). Mehr: http://forum.mxchange.org/topic-471.html
+Notes

-Issue History
Date Modified Username Field Change
2008-12-18 21:03 Quix0r New Issue
2008-12-18 21:03 Quix0r Status new => assigned
2008-12-18 21:03 Quix0r Assigned To => Quix0r
2008-12-18 21:04 Quix0r Relationship added child of 0000001
2008-12-18 21:04 Quix0r Tag Attached: Sponsorennetzwerk
2008-12-18 21:06 Quix0r Note Added: 0000002
2008-12-22 19:03 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-06 03:01 Quix0r Note Added: 0000130
2009-02-06 03:01 Quix0r Projection none => redesign
2009-02-06 03:01 Quix0r ETA none => > 1 month
2009-02-06 03:01 Quix0r Build => SVN-HEAD
2009-03-16 23:01 Quix0r Assigned To Quix0r =>
2009-03-16 23:01 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 16:06 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 22:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-01-02 19:16 Quix0r Summary Universelle Sponsornetzwerk-Erweiterung => Universelle Werbenetzwerk-Erweiterung
2010-01-02 19:16 Quix0r Description Updated
2010-01-02 19:16 Quix0r Relationship added related to 0000006
2010-01-11 04:49 Quix0r Assigned To => Quix0r
2010-05-28 18:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 18:40 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 03:42 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-06-21 09:13 Quix0r Relationship replaced parent of 0000001
2010-11-09 02:25 Quix0r Summary Universelle Werbenetzwerk-Erweiterung => Erweiterung ext-network - Universelle Werbenetzwerk-Erweiterung
2010-11-09 02:26 Quix0r Category Feature Request => Extension Request
2010-11-09 02:30 Quix0r Note Added: 0000512
2010-11-09 02:30 Quix0r Note Added: 0000513
2010-11-09 02:34 Quix0r Description Updated View Revisions
2012-10-14 01:49 Quix0r Note Added: 0000589
2012-10-16 08:20 Quix0r Tag Attached: erweiterung
2012-10-16 08:20 Quix0r Tag Attached: ideenfindung
2012-10-16 08:45 Quix0r Additional Information Updated View Revisions
2012-11-21 23:38 Quix0r Relationship added parent of 0000239
+Issue History